# Interface methods for submodule: TransformToDisplacementFieldFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: TransformToDisplacementFieldFilter
class TransformToDisplacementFieldFilterProxy(_ImageSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput(self, input) -> None:
		""""""
		...

	def GetInput(self):
		""""""
		...

	def SetTransformInput(self, _arg) -> None:
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def GetTransformInput(self):
		""""""
		...

	def GetTransform(self):
		""""""
		...

	def SetOutputStartIndex(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetOutputStartIndex(self) -> Sequence[int]:
		""""""
		...

	def SetSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetSize(self) -> Sequence[int]:
		""""""
		...

	@overload
	def SetOutputSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOutputSpacing(self, spacing) -> None:
		""""""
		...

	def GetOutputSpacing(self) -> Sequence[float]:
		""""""
		...

	@overload
	def SetOutputOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOutputOrigin(self, origin) -> None:
		""""""
		...

	def GetOutputOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetOutputDirection(self, _arg) -> None:
		""""""
		...

	def GetOutputDirection(self):
		""""""
		...

	def SetReferenceImage(self, _arg) -> None:
		""""""
		...

	def GetReferenceImage(self):
		""""""
		...

	def SetUseReferenceImage(self, _arg: bool) -> None:
		""""""
		...

	def UseReferenceImageOn(self) -> None:
		""""""
		...

	def UseReferenceImageOff(self) -> None:
		""""""
		...

	def GetUseReferenceImage(self) -> bool:
		""""""
		...

